RuntimeInfrastructure mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.SystemException

Represents the error that occurs when the system cannot load a .

is thrown when the system cannot load a , or cannot locate the assembly that contains the

.

The following CIL instructions throw and set the TypeName property via some unspecified mechanism:

box
castclass
cpobj
isinst
ldobj
mkrefany
refanyval
stobj
unbox
- Constructor

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance to a system-supplied message that describes the error, such as "A failure has occurred while loading a type." This message takes into account the current system culture.

  The property is initialized to , and the property is initialized to .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance using . If is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments.

  The property is initialized to , and the property is initialized to .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  An instance of that is the cause of the current exception. If is non-null, then the current Exception was raised in a catch block handling .

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance using and the property using . If is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments.

  The property is initialized to .

  For more information on inner exceptions, see .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.String

  Gets the error message for this exception.

  A containing a message that describes the error.

  This property is read-only.

  This property overrides .

  If no message was supplied to the constructor for the current instance, the system supplies a default message that is formatted using the current system culture. The system-supplied message includes the fully qualified name of the type that failed to load, and the string obtained by invoking on the assembly that referenced the type. For a type named , referenced by an assembly with the simple name , the message might read as follows:

  Could not load type MyTypes.MyClass from assembly MyAssembly, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.String

  Gets the fully qualified name of the that failed to load.

  A containing the fully qualified type name.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)